POST api/HealthReviews

Creates a new health review or updates an existent health review's information.

Request Information

URI Parameters

None.

Body Parameters

HealthReviewModel
NameDescriptionTypeAdditional information
Name

Name of the health review (Required).

string

None.

Category

Health review category (Required).

string

None.

IsDefault

Indicates whether this health review is default or not (Required).

boolean

None.

SortOrder

Indicates the sort order of this health review in the list (Required).

integer

None.

Id

Unique ID of the model in the portal (Read only).

globally unique identifier

None.

ExternalId

Unique ID of the model on integrating system (Required).

string

None.

Request Formats

application/json, text/json

Sample:
{
  "name": "sample string 1",
  "category": "sample string 2",
  "isDefault": true,
  "sortOrder": 4,
  "id": "d66712f1-b2ba-4840-ba9d-e931d48072ea",
  "externalId": "sample string 6"
}

application/xml, text/xml

Sample:
<HealthReviewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.HealthReviews">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 6</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">d66712f1-b2ba-4840-ba9d-e931d48072ea</Id>
  <Category>sample string 2</Category>
  <IsDefault>true</IsDefault>
  <Name>sample string 1</Name>
  <SortOrder>4</SortOrder>
</HealthReviewModel>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'HealthReviewModel'.

Response Information

Resource Description

HealthReviewModel
NameDescriptionTypeAdditional information
Name

Name of the health review (Required).

string

None.

Category

Health review category (Required).

string

None.

IsDefault

Indicates whether this health review is default or not (Required).

boolean

None.

SortOrder

Indicates the sort order of this health review in the list (Required).

integer

None.

Id

Unique ID of the model in the portal (Read only).

globally unique identifier

None.

ExternalId

Unique ID of the model on integrating system (Required).

string

None.

Response Formats

application/json, text/json

Sample:
{
  "name": "sample string 1",
  "category": "sample string 2",
  "isDefault": true,
  "sortOrder": 4,
  "id": "e37499f4-4fe4-4842-b238-65620b15ce2d",
  "externalId": "sample string 6"
}

application/xml, text/xml

Sample:
<HealthReviewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.HealthReviews">
  <ExternalId xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">sample string 6</ExternalId>
  <Id xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">e37499f4-4fe4-4842-b238-65620b15ce2d</Id>
  <Category>sample string 2</Category>
  <IsDefault>true</IsDefault>
  <Name>sample string 1</Name>
  <SortOrder>4</SortOrder>
</HealthReviewModel>